Loading...
Searching...
No Matches
Opm::ThresholdPressure Class Reference

## Public Types

using | ThresholdPressureTable = std::vector<std::pair<bool,double>>
using | PressureTable = std::map<std::pair<int,int>,std::pair<bool,double>>

## Public Member Functions

| ThresholdPressure (bool restart, const Deck &deck, const FieldPropsManager &fp)
void | readFaults (const Deck &deck, const FaultCollection &faults)
| Reads the THPRESFT keyword if present.
bool | hasRegionBarrier (int r1, int r2) const
bool | hasThresholdPressure (int r1, int r2) const
double | getThresholdPressure (int r1, int r2) const
double | getThresholdPressureFault (int idx) const
| Returns threshold pressure for a fault.
size_t | ftSize () const
size_t | size () const
bool | active () const
bool | restart () const
bool | irreversible () const
bool | operator== (const ThresholdPressure &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static ThresholdPressure | serializationTestObject ()
| Returns an instance for serialization tests.
static bool | rst_cmp (const ThresholdPressure &full_arg, const ThresholdPressure &rst_arg)

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/SimulationConfig/ThresholdPressure.hpp
- opm/input/eclipse/EclipseState/SimulationConfig/ThresholdPressure.cpp